public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/isic/, net-analyzer/isic/files/
@ 2025-02-10  9:43 Sam James
  0 siblings, 0 replies; only message in thread
From: Sam James @ 2025-02-10  9:43 UTC (permalink / raw
  To: gentoo-commits

commit:     7dcd5fded7966a1c18b179addb6e00841a4bdb48
Author:     NHOrus <jy6x2b32pie9 <AT> yahoo <DOT> com>
AuthorDate: Wed Feb  5 16:55:07 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Feb 10 09:41:32 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7dcd5fde

net-analyzer/isic: fix configure for modern C

Straight-up autoreconf fails, autoupdate produces non-viable configure.
Also make build system respect our DESTDID, which also replaces sed
with a patch

Closes: https://bugs.gentoo.org/874531
Closes: https://bugs.gentoo.org/899938
Closes: https://bugs.gentoo.org/836081
Signed-off-by: NHOrus <jy6x2b32pie9 <AT> yahoo.com>
Closes: https://github.com/gentoo/gentoo/pull/40453
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-analyzer/isic/files/isic-0.07-configure.patch | 39 +++++++++++++++++++++++
 net-analyzer/isic/isic-0.07-r3.ebuild             | 35 ++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/net-analyzer/isic/files/isic-0.07-configure.patch b/net-analyzer/isic/files/isic-0.07-configure.patch
new file mode 100644
index 000000000000..9a080f2a936d
--- /dev/null
+++ b/net-analyzer/isic/files/isic-0.07-configure.patch
@@ -0,0 +1,39 @@
+Make build system respect DESTDIR, fix just the configure
+as a path of least resistance.
+Autoreconf stuffs spaces where they don't belong and produces
+broken configure
+https://bugs.gentoo.org/899938
+https://bugs.gentoo.org/874531
+--- a/configure
++++ b/configure
+@@ -652,7 +652,7 @@
+ #line 653 "configure"
+ #include "confdefs.h"
+ 
+-main(){return(0);}
++int main(){return(0);}
+ EOF
+ if { (eval echo configure:658: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+   ac_cv_prog_cc_works=yes
+@@ -1092,6 +1092,7 @@
+ #line 1119 "configure"
+ #include "confdefs.h"
+ #include <ctype.h>
++#include <stdlib.h>
+ #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
+ #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
+ #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -63,7 +63,7 @@
+ 	  tar -czvf isic-$(VERSION).tgz ./isic-$(VERSION)/* )
+ 
+ install: $(BINS) $(MAN)
+-	$(INSTALL) -m 0755 -d $(PREFIX)/bin
+-	$(INSTALL) -m 0755 -c $(BINS) $(PREFIX)/bin
+-	$(INSTALL) -m 0755 -d $(PREFIX)/man/man1
+-	${INSTALL} -m 0755 -c $(MAN) $(PREFIX)/man/man1
++	$(INSTALL) -m 0755 -d $(DESTDIR)/$(PREFIX)/bin
++	$(INSTALL) -m 0755 -c $(BINS) $(DESTDIR)/$(PREFIX)/bin
++	$(INSTALL) -m 0755 -d $(DESTDIR)/$(PREFIX)/share/man/man1
++	${INSTALL} -m 0755 -c $(MAN) $(DESTDIR)/$(PREFIX)/share/man/man1

diff --git a/net-analyzer/isic/isic-0.07-r3.ebuild b/net-analyzer/isic/isic-0.07-r3.ebuild
new file mode 100644
index 000000000000..65fb0951e17a
--- /dev/null
+++ b/net-analyzer/isic/isic-0.07-r3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="IP Stack Integrity Checker"
+HOMEPAGE="https://isic.sourceforge.net/"
+SRC_URI="https://downloads.sourceforge.net/isic/${P}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+DEPEND="net-libs/libnet:1.1"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+	"${FILESDIR}/${P}-configure.patch"
+)
+
+src_prepare() {
+	default
+	# Add two missing includes
+	echo "#include <netinet/udp.h>" >> isic.h || die
+	echo "#include <netinet/tcp.h>" >> isic.h || die
+
+}
+
+src_configure() {
+	tc-export CC
+
+	econf
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2025-02-10  9:43 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-02-10  9:43 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/isic/, net-analyzer/isic/files/ Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox